h1 {
    color:white
}

.inline-plopp {
  height: 1em;              /* Same height as text */
  vertical-align: -0.15em;  /* Adjust alignment slightly */
  
}
   body {
      background: #991c1c;
    }

    h1 {
      font-size: 17vw;
    }

.separator {
  display: flex;
  justify-content: center;
  gap: 0.1em;  /* space mellan plopparna */
}

.separator img {
  width: 3vw;
  animation: jump 0.6s infinite ease-in-out, rainbow 4s infinite linear;
}

@keyframes rainbow {
  0%   { filter: hue-rotate(0deg); }
  100% { filter: hue-rotate(360deg); }
}


/* Fördröjning för vågeffekt */
.separator img:nth-child(1) { animation-delay: 0s, 0s; }
.separator img:nth-child(2) { animation-delay: 0.1s, 0.5s; }
.separator img:nth-child(3) { animation-delay: 0.2s, 1s; }
.separator img:nth-child(4) { animation-delay: 0.3s, 1.5s; }
.separator img:nth-child(5) { animation-delay: 0.4s, 2s; }
.separator img:nth-child(6) { animation-delay: 0.5s, 2.5s; }
.separator img:nth-child(7) { animation-delay: 0.6s, 3s; }
.separator img:nth-child(8) { animation-delay: 0.7s, 3.5s; }
.separator img:nth-child(9) { animation-delay: 0.8s, 4s; }
.separator img:nth-child(10) { animation-delay: 0.9s, 4.5s; }
.separator img:nth-child(11) { animation-delay: 1.1s, 5s; }
.separator img:nth-child(12) { animation-delay: 1.2s, 5.5s; }
.separator img:nth-child(13) { animation-delay: 1.3s, 6s; }
.separator img:nth-child(14) { animation-delay: 1.4s, 6.5s; }
.separator img:nth-child(15) { animation-delay: 1.5s, 7s; }


/* Animation: hoppa upp och ner */
@keyframes jump {
  0%, 100% { transform: translateY(0); }
  50%       { transform: translateY(-15px); } /* höjd på hopp */
}

/* Mobil tweak: gör Ploppsmol större */
@media (max-width: 600px) {
  .separator img {
    width: 6vw;
  }
}

.gif-button {
  position: fixed;
  top: 15px;
  right: 15px;
  background: none;
  border: none;
  cursor: pointer;
  z-index: 1000;
}

.gif-button img {
  width: 60px;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  display: none;
  flex-direction: column;   
  justify-content: center;
  align-items: center;
  z-index: 2000;
}

.gif-text {
  color: white;
  font-size: 3vw;
  margin-bottom: 20px;
  font-family: Verdana, sans-serif;
  text-align: center;
}


.fullscreen-gif {
  max-width: 90%;
  max-height: 90%;
}


.close-button {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 30px;
  background: none;
  border: none;
  color: white;
  cursor: pointer;
}

.center {
  text-align: center;
  margin-top: 80px;
}

html, body {
  height: 100%;
  margin: 0;
  padding: 0;
}

body {
  display: flex;
  flex-direction: column;
}

.main-content {
  flex: 1;
}

.bottom-bar {
  background-color: #1d1d1d;
  padding: 12px 0;
  text-align: center;
  font-size: 18px;
  width: 100%;
  padding-bottom: calc(12px + env(safe-area-inset-bottom));
}

p {
    color:wheat
}